<?php
use LabBase\Model\Brand;
use LabBase\Model\BrandPost;
use LabBase\Model\Category;
use LabBase\Model\User;

$brandBannerChangeURL = $this->url('root/brandSettings', ['action' => 'uploadBanner', 'param' => $this->thisBrand->url]);

$thisBrandLogoURL = \LabBase\Model\ImageSaver::GetImageS3LinkFromName('brand-avatar-'.$this->thisBrand->id);
$thisBrandURL = $this->url('root/brandFeed', ['brandUrl' => $this->thisBrand->url]);

$thisAboutMe = (!empty($this->aboutMe)) ? $this->aboutMe : [];
//echo "<pre>"; print_R($thisAboutMe); die;

/** @var $user User */
$user = $this->sessionInfo()->getLoggedInUser();
?>

<script>
    var g_thisBrand = {
        id: <?= $this->thisBrand->id; ?>,
        name: '<?= addslashes($this->thisBrand->name); ?>',
        category: '<?= addslashes($this->categoryUrl); ?>',
        url: '<?= addslashes($this->thisBrand->url); ?>',
        loveCount: <?= $this->thisBrand->loveCount; ?>,
        lovedByUser: <?= $this->brandLovedByUser ? 'true' : 'false' ?>
    };
    <?php if($user) { ?>

    var g_loggedInUser = {
        id: <?= $user->id; ?>,
        name: '<?= addslashes($user->fullName) ?>',
        isAdmin: <?= $user->isAdmin() ? 'true' : 'false'  ?>,
        canEditBrand: <?= $this->userCanEditBrand ? 'true' : 'false' ?>
    };
    <?php }else{ ?>
    var g_loggedInUser = false;
    <?php } ?>
</script>

<?php


$brandName = null;
if($this->BrandName) {
    $brandName = $this->BrandName;
    $brandUrl = $this->BrandUrl;
    $brandDescription = $this->BrandDescription;
}else{
    if ($user && $user->lastVisitedBrandId !== null) {
        /** @var Brand $brand */
        $brand = $this->sessionInfo()->getBrandById($user->lastVisitedBrandId);
        if ($brand) {
            $brandName = $brand->name;
            $brandDescription = $brand->description;
            $brandUrl = $brand->url;
        }
    }
    else{
        $brandName = $this->thisBrand->name;
        $brandDescription = $this->thisBrand->description;
        $brandUrl = $this->thisBrand->url;
    }
}
$thisBrand = $this->thisBrand;
?>


<iframe id="editorImageSubmitterIframe" name="editorImageSubmitterIframe" style="display: none;" onload="if(this.contentWindow.location.href != 'about:blank' && window.imageUploadSubmitted) {window.imageUploadSubmitted(this)}"> </iframe>
<form onsubmit="window.imageUploadStarted()" enctype="multipart/form-data" method="post" target="editorImageSubmitterIframe" action="<?= $this->url('root/perosonlPagePhotoAdd', ['brandUrl' => $brandUrl]); ?>">
    <input type="file" name="image" style="display: none" id="editorImageSubmitter" onchange="$(this).parent().submit()" />
</form>
<script>
    window.imageUploadStarted = function() {
        window.postImageUploadFinished = window.loadingIndicator($('body')); 
    };
    window.imageUploadEnded = function() {
        if (window.postImageUploadFinished) {
            window.postImageUploadFinished();
        }
    };

    window.imageSubmittedCallback = false;
    window.imageUploadSubmitted = function(el) {
        window.imageUploadEnded();

        if(window.imageSubmittedCallback === false) return;
        var iframeContents = $(el)[0].contentDocument.body.innerHTML;

        var re = /\{[\-a-zA-Z"'0-9:\w|.,/\\]+\}/.exec(iframeContents);
        if(re == null) {
            labAlert("An error has occured while uploading the photo.");
            window.imageSubmittedCallback(false);
            window.imageSubmittedCallback = false;
            return;
        }
        var response = re[0];
        response = JSON.parse(response);
        console.log("Successfully uploaded image:", response);
        window.imageSubmittedCallback(response.imageLink);
        window.imageSubmittedCallback = false;
    };
</script>


<!-- Header -->
    <?php echo $this->render('user-header.phtml', array('user' => $user, 'thisBrand' => $this->thisBrand, 'draftspostCnt' => $this->draftspostCnt, 'brandName' => $brandName, 'thisBrandLogoURL' => $thisBrandLogoURL, 'userCanEditBrand' => $this->userCanEditBrand)); ?>
<!--END-->

<div class="body-content">
   
    <div class="wrapper">

        <!-- Sidebar Layout -->
        <div class="full-width">
            <?php echo $this->render('user-menu.phtml', array('page' => 'photo', 'brandUrl' => $this->thisBrand->url)); ?>
            
            <!-- Main Content -->
            <div class="main-content">
            
                <div class="panel panel-default about_me_section">
                    
                    <div class="panel-heading">
                        <ul class="photo_section_menu full-width">
                            <li class="">
                                <a href="<?php echo $this->url('root/perosonlPagePhoto', ['brandUrl' => $this->brandUrl]); ?>">
                                    <h6>All Photos <?php echo ($this->postPhotoCnt > 0) ? "({$this->postPhotoCnt})" : ''; ?></h6>
                                </a>
                            </li>
                            <li class="active">
                                <a href="<?php echo $this->url('root/perosonlPageAlbum', ['brandUrl' => $this->brandUrl]); ?>">
                                    <h6>Albums <?php echo ($this->postAlbumCnt > 0) ? "({$this->postAlbumCnt})" : ''; ?></h6>
                                </a>
                            </li>
                            <li class="">
                                <a href="<?php echo $this->url('root/perosonlPageVideo', ['brandUrl' => $this->brandUrl]); ?>">
                                    <h6>Videos <?php echo ($this->postVideoCnt > 0) ? "({$this->postVideoCnt})" : ''; ?></h6>
                                </a>
                            </li>
                        </ul>
                    </div>
                    
                    <div class="panel-body">
                       
                       <?php if($this->albumId > 0){ ?>
                            <div class="col-md-12 col-sm-12 nopadding">
                                <div class="col-md-11 col-xs-11 nopadding albumtitle"><?php echo $this->postList->postTitle; ?></div>
                                <div class="col-md-1 col-xs-1 nopadding text-right">
                                    <div class="dropdown">
                                        <a href="#" class="dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">
                                            <i class="fa fa-pencil" aria-hidden="true"></i>
                                        </a>
                                        <ul class="dropdown-menu dropdown-menu-right">
                                            <li>
                                                <a href="javascript:void(0);" data-id="<?php echo $this->postList->id; ?>" onclick="javascript: editAlbum($(this));" data-glyph="pencil" class="oi">Edit album</a>
                                            </li>
                                            <li>
                                                <a href="/$brandPostDelete/<?php echo $this->postList->id; ?>" onclick="javascript: deleteAlbum($(this)); return false;" data-postid="<?php echo $this->postList->id; ?>" data-glyph="x" class="oi">Delete album</a>
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        <?php } ?>
                       
                       <div class="col-md-12 nopadding album_section_container carouselGallery-grid">
                            
                            <?php if($this->userCanEditBrand){ ?>
                                
                                <?php if($this->albumId > 0){ ?>
                                    
                                    <div data-toggle="modal" data-target="#AddPhotoAlbum" class="col-md-3 col-sm-3 col-xs-6 photo_section">
                                        <div class="photo_container">
                                            <div class="add_photo_container">
                                                <i aria-hidden="true" class="fa fa-picture-o fa-4x step1"></i>
                                                <p>Upload Photo</p>
                                            </div>
                                        </div>
                                    </div>
                                    
                                <?php }else{ ?>
                                    <a class="col-md-4 col-sm-4 col-xsm-6 album_section" data-target="#addAlbumForm" data-toggle="modal" href="javascript:void(0);">
                                        <div class="album_container">
                                            <div class="add_album_container">
                                                <i class="fa fa-picture-o fa-4x step1" aria-hidden="true"></i>
                                                <p>Upload Photo Album</p>
                                            </div>
                                        </div>
                                    </a>
                                <?php } ?>
                                
                            <?php } ?>
                            
                            <?php if(!empty($this->postList)){ ?>

                                <?php if($this->albumId > 0){ ?>
                                    
                                    <?php if(!empty($this->postList->postImageData)){ ?>
                                        <?php 
                                            $post = $this->postList; $i = 0; $index = 0; 
                                            $dateTimestamp = $post->dateCreated;
                                            $formattedTime = date("d-m-Y H:i", $dateTimestamp);
                                            $sliderPhotos = '';
                                        ?>
                                        <?php foreach($this->postList->postImageData as $postImage){ ?>
                                            <?php 
                                                $photoTitle = (isset($post->postTitle) && !empty($post->postTitle)) ? $post->postTitle : count($photoImgaes).' photos uploaded';
                                                $loveCnt = ($post->loveCnt > 0) ? ' ('.$post->loveCnt.')' : '';
                                                $loveText = 'Love'.$loveCnt;
                                                $loveIconCls = 'fa-heart-o';
                                                $loveOrNot = 1;
                                                if($post->loveOrNot == 1)
                                                {
                                                    $loveText = 'Loved!'.$loveCnt;
                                                    $loveIconCls = 'fa-heart';
                                                    $loveOrNot = 0;
                                                }
                                                
                                                $PhotCpation = (isset($postImage->caption) && $postImage->caption != "") ? '<p>'.$postImage->caption.'</p>' : $post->postContent;
                                            ?>
                                            
                                            <div class="col-md-3 col-sm-3 col-xs-6 photo_section">
                                                <!--<div class="carouselGallery-col-1 carouselGallery-carousel" data-index="<?php echo $index ?>" data-imagepath="<?php echo $postImage->url; ?>" data-posturl="javascript:void(0);" data-postid="<?php echo $post->id; ?>" data-target="image_header_content_<?php echo $index; ?>" style="background-image:url(<?php echo $postImage->url; ?>);"></div>-->
                                                
                                                <a class="photo_section_content" data-slide-to="<?php echo $index; ?>" data-postid="<?php echo $post->id; ?>" href="#fs-photo-slider">
                                                    <img class="img-responsive" data-target="#image-modal-full" data-toggle="modal" src="<?php echo $postImage->url; ?>">
                                                </a>
                                                
                                                <?php 
                                                    $act = '';
                                                    if($index == 0)
                                                    {
                                                        $act = 'active';
                                                    }
                                                    $imgName = basename($postImage->url);
                                                    $sliderPhotos .= '<div class="item '.$act.'" data-index="'.$index.'" data-postid="'.$post->id.'">
                                                                        <img src="'.$postImage->url.'" class="img-responsive">
                                                                        <input type="hidden" id="photoTitle_'.$index.'" value="'.$photoTitle.'"/>
                                                                        <input type="hidden" id="photoCaption_'.$index.'" value="'.$PhotCpation.'"/>
                                                                        <input type="hidden" id="photoLoveCnt_'.$index.'" value="'.$post->loveCnt.'"/>
                                                                        <input type="hidden" id="photoLove_'.$index.'" value="'.$post->loveOrNot.'"/>
                                                                        <input type="hidden" id="photoDateStamp_'.$index.'" value="'.$dateTimestamp.'"/>
                                                                        <input type="hidden" id="photoDateFormate_'.$index.'" value="'.$formattedTime.'"/>
                                                                        <input type="hidden" id="photoCommenstCnt_'.$index.'" value="'.$post->commentsCnt.'"/>
                                                                    </div>';
                                                                    
                                                ?>

                                                <div id="image_header_content_<?php echo $index; ?>" class="hide">
                                                    <div class="image_box_header col-md-12 col-sm-12 col-xs-12">
                                                        <div class="image_box_image col-md-3 col-sm-3 col-xs-3">
                                                            <img class="img-respoinsive" src="<?php echo $thisBrandLogoURL; ?>" alt="Logo" />
                                                        </div>
                                                        <div class="image_box_title col-md-9 col-sm-9 col-xs-9">
                                                            <?php echo $photoTitle; ?>
                                                            <span>
                                                                By <?php echo $brandName; ?>
                                                            </span>
                                                            <span data-date="<?php echo $dateTimestamp; ?>"><?php echo $formattedTime; ?></span>
                                                        </div>
                                                    </div>
                                                    <div class="image_box_content col-md-12 col-sm-12 col-xs-12">
                                                        <?php echo $PhotCpation; ?>
                                                    </div>

                                                    <div class="image_box_actions col-md-12 col-md-12 col-sm-12 col-xs-12">
                                                        <ul class="image_box_actions_control">
                                                            <li>
                                                                <a href="javascript:void(0);" class="text-info" data-loved="<?php echo $loveOrNot; ?>" onclick="javascript: makeLovedPopup(this, <?php echo $post->id; ?>);">
                                                                    <i class="fa <?php echo $loveIconCls; ?>" aria-hidden="true"></i> 
                                                                    <span><?php echo $loveText; ?></span>
                                                                </a>
                                                            </li>
                                                            <li>
                                                                <a href="javascript:void(0);" class="text-info" onclick="javascript: showCommentPopupBox(<?php echo $index; ?>, <?php echo $post->id; ?>, this);">
                                                                    <i class="fa fa-comment-o" aria-hidden="true"></i> Comment
                                                                </a>
                                                            </li>
                                                            <li>
                                                                <div class="sharing_content">
                                                                    <div class="social_sharing">
                                                                        <ul>
                                                                            <li><a onclick="javascript:socialShare('fb', '<?php echo $postImage->url; ?>', '', '', '', 520, 350);" href="javascript:void(0);"><img src="/img/social_icon/Facebook.png"></a></li>
                                                                            <li><a onclick="javascript:socialShare('twitter','<?php echo $postImage->url; ?>', '', '', '', 520, 350);" href="javascript:void(0);"><img src="/img/social_icon/Twitter.png"></a></li>
                                                                            <li><a href="mailto:?subject=Share with your friends&amp;body=<?php echo $postImage->url; ?>"><img src="/img/social_icon/Email.png"></a></li>
                                                                        </ul>
                                                                    </div>
                                                                    <a href="javascript:void(0);" class="text-info">
                                                                        <i class="icon-share-circled" aria-hidden="true"></i> Share
                                                                    </a>
                                                                </div>
                                                            </li>
                                                        </ul>
                                                    </div>

                                                    <div id="comment_section_container_<?php echo $index; ?>" style="display:none;" class="image_box_comments col-md-12">
                                                        <div id="image_comment_section_<?php echo $index; ?>" class="comment-section"><i>Loading...</i></div>
                                                        <form>
                                                            <div class="image_boc_comments_area">
                                                                <textarea placeholder="Write a comment" class="textarea-scrollbar1 scrollbar-outer form-control comment-content"></textarea>
                                                            </div>
                                                            <div class="image_boc_comments_button">
                                                                <input type="submit" value="Comment" class="btn btn-info" onclick="try {popupSubmitComments(<?php echo $index; ?>, <?php echo $post->id; ?>);}catch(e){} return false;">
                                                            </div>
                                                        </form>
                                                    </div>

                                                </div>

                                            </div>
                                             
                                             <?php $index++; ?>                                   
                                        <?php } ?>
                                    
                                    <?php }else{ ?>
                                    
                                        <div class="feed-item no-story-content">
                                            <div class="no-story-layout">
                                                <p style="margin-top: 22px; margin-bottom: 20px">
                                                    No album photos, yet!
                                                </p>
                                            </div>
                                        </div>
                                        
                                    <?php } ?>
                                    
                                <?php }else{ ?>
                                    
                                    <?php foreach ($this->postList as $post): ?>
                                        
                                        <?php 
                                            $albumURL = $this->url('root/perosonlPageAlbum', ['brandUrl' => $this->thisBrand->url, 'albumId' => $post->id]);
                                                    
                                            $albumImg = $post->postImageData;
                                            $totalAlbumImg = count($albumImg);
                                            $firstImg = $albumImg[0]->url;
                                        ?>
                                        
                                        <a href="<?php echo $albumURL ?>" class="col-md-4 col-sm-4 col-xsm-6 album_section">
                                            <div class="album_container">
                                                <div class="album_image_content">
                                                    <img class="img-responsive" src="<?php echo $firstImg; ?>" />
                                                </div>
                                                <div class="album_footer">
                                                    <span class="album-title"><?php echo $post->postTitle; ?></span>
                                                    <span class="photo-counter"><?php echo $totalAlbumImg; ?> Photos</span>
                                                </div>
                                            </div>
                                        </a>
                                        
                                    <?php endforeach; ?>
                                
                                <?php } ?>
                                
                            <?php }else{ ?>
                                
                                <div class="feed-item no-story-content">
                                    <div class="no-story-layout">
                                        <p style="margin-top: 22px; margin-bottom: 20px">
                                            No albums, yet!
                                        </p>
                                    </div>
                                </div>
                                
                            <?php } ?>
                            
                       </div>
                       
                       <?php if(!empty($this->otherAlbums)){ ?>
                            <div class="other_albums_container col-md-12 col-xs-12">
                                
                                <div class="other_albums_title">
                                    <span>
                                        Other Albums
                                    </span>
                                </div>
                                
                                <?php foreach($this->otherAlbums as $otherAlbum){ ?>
                                    
                                    <?php 
                                        $albumURL = $this->url('root/perosonlPageAlbum', ['brandUrl' => $this->thisBrand->url, 'albumId' => $otherAlbum->id]);
                                                    
                                        $albumImg = json_decode($otherAlbum->postImageData);
                                        $totalAlbumImg = count($albumImg);
                                        $firstImg = $albumImg[0]->url;
                                    ?>
                                    
                                    <a href="<?php echo $albumURL; ?>" class="col-md-4 col-xsm-6 col-sm-4 album_section">
                                        <div class="album_container">
                                            <div class="album_image_content">
                                                <img class="img-responsive" src="<?php echo $firstImg; ?>" />
                                            </div>
                                            <div class="album_footer">
                                                <span class="album-title"><?php echo $otherAlbum->postTitle; ?></span>
                                                <span class="photo-counter"><?php echo $totalAlbumImg; ?> Photos</span>
                                            </div>
                                        </div>
                                    </a>
                                    
                                <?php } ?>
                                
                            </div>
                       <?php } ?>
                                               
                    </div>
                    
                </div>
               
            </div>
            
        </div>
    </div>
    
</div>


<?php if($this->userCanEditBrand){ ?>
    <div class="modal fade" id="addAlbumForm" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title">Upload Photo Album</h4>
                </div>
                <div class="modal-body editor-content">
                    <form id="frmUploadAlbum" action="" method="post" class="photo-album">
                       <input type="text" placeholder="Album title" class="form-control story-title story-input-title" />
                       <textarea placeholder="Write something about this album" class="textarea-scrollbar scrollbar-outer form-control story-input-text"></textarea>
                      
                       <div id="photo_section" class="col-md-12 nopadding">
                            
                            <div class="col-md-3 col-xs-12 col-sm-3 uploadPhotoBox photo_container nopadding">
                                <div class="upload_photosection" onclick="uploadImage('photo-album');">
                                    <i aria-hidden="true" class="fa fa-picture-o fa-2x step1"></i>
                                    <p>Add photos</p>
                                </div>
                            </div>
                            <div class="col-md-9 col-sm-9">
                                <div class="slider1">
                                    
                                </div>
                            </div>
                       </div>
                       <div class="clearfix"></div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary" onclick="postStory('photo-album', 'photo', true)">Post</button>
                </div>
            </div>
        </div>
    </div>
<?php } ?>

<?php if($this->albumId > 0){ ?>
<div class="modal fade" id="AddPhotoAlbum" tabindex="-1" role="dialog">
    <div class="modal-dialog modal-top-padding-10 modal-sm" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title">Upload Photo</h4>
            </div>
            <div class="modal-body upload_album_photo">
                
                <div class="uploadPhotoBox photo_container nopadding">
                    <div onclick="uploadImagePhotoAlbum('photo-album', 'album-edit');" class="upload_photosection">
                        <i class="fa fa-picture-o fa-2x step1" aria-hidden="true"></i>
                        <p>Add photos</p>
                    </div>
                </div>
                
                <div class="album_photo_new_container" style="display:none;">
                </div>
                
            </div>
            <div class="modal-footer" style="display:none;">
                
                <button type="button" class="btn btn-primary" onclick="javascript: upoloadAlbumPhoto(<?php echo $this->albumId; ?>);">Post</button>
            </div>
        </div>
    </div>
</div>
<?php } ?>

<!-- Modal -->
<div aria-hidden="true" role="dialog" tabindex="-1" class="modal fade image-slider-popup fs-slider" id="image-modal-full">
    <div class="modal-container">
        <div class="contents fs-container">

            <header class="fs_modal_header">
                <div class="header-container">
                    <div class="img-container">
                        <img src="<?php echo $thisBrandLogoURL; ?>" class="img-responsive">
                    </div>

                    <div class="header-title-container">
                        <h3><?php echo $brandName; ?></h3>
                        <div class="header-meta">
                            <span>Love a Brand</span>
                            <span>&bull;</span>
                            <span>In</span>
                            <span>&bull;</span>
                            <a href="javascript:void(0);">Our Stories</a>
                        </div>
                    </div>


                    <div class="header-right">
                        <a class="navbar-toggle collapsed" href="javascript:void(0);" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1" aria-expanded="false">
                            <span class="sr-only">Toggle navigation</span>
                            <i class="fa fa-bars" aria-hidden="true"></i>
                        </a>
                        <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                            <ul class="nav navbar-nav">
                                <li class="fs_slider_love_conainer">
                                    <!--<a href="javascript:void(0);">
                                        <i class="fa fa-heart" aria-hidden="true"></i> 
                                        Love
                                        <span>56</span>
                                    </a>-->
                                </li>
                                <li class="fs_slider_comments_count">
                                    <a href="javascript:void(0);" data-postid="0" class="fs-comment-btn" onclick="fs_comment_box(this);">
                                        <i class="fa fa-comment" aria-hidden="true"></i> Comment <span></span>
                                    </a>
                                </li>
                                <li>
                                    <div class="sharing_content">
                                        <div class="social_sharing">
                                            <ul>
                                                <li>
                                                    <a onclick="javascript:socialShareModule('fb');" href="javascript:void(0);">
                                                        <img src="/img/social_icon/Facebook.png" class="img-responsive">
                                                    </a>
                                                </li>
                                                <li>
                                                    <a onclick="javascript:socialShareModule('twitter');" href="javascript:void(0);">
                                                        <img src="/img/social_icon/Twitter.png" class="img-responsive">
                                                    </a>
                                                </li>
                                                <li>
                                                    <a onclick="javascript:socialShareModule('email');" href="javascript:void(0);">
                                                        <img src="/img/social_icon/Email.png" class="img-responsive">
                                                    </a>
                                                </li>
                                            </ul>
                                        </div>
                                        <a href="javascript:void(0);">
                                            <i class="fa fa-share-alt" aria-hidden="true"></i> Share <span></span>
                                        </a>
                                    </div>
                                    <!--<a href="javascript:void(0);">
                                        <i class="fa fa-share-alt" aria-hidden="true"></i> Share <span></span>
                                    </a>-->
                                </li>
                            </ul>
                        </div>
                    </div>
                    <div class="header-close">
                        <button data-dismiss="modal" class="close" type="button"><span class="icon-close"></span></button>
                    </div>
                </div>

            </header>

            <div class="modal-body">
                <div class="">

                    <div data-interval="false" data-ride="carousel" class="carousel slide carousel-fade" id="fs-photo-slider">

                        <!-- Wrapper for slides -->
                        <div class="carousel-inner">
                            <?php echo $sliderPhotos; ?>
                        </div>


                    </div>

                </div>

                <!-- Controls -->
                <a data-slide="prev" role="button" href="#fs-photo-slider" class="left carousel-control">
                    <i class="fa fa-chevron-left" aria-hidden="true"></i>
                </a>
                <a data-slide="next" role="button" href="#fs-photo-slider" class="right carousel-control">
                    <i class="fa fa-chevron-right"></i>
                </a>
            </div>

            <aside class="aside_panel">
                <div class="description_container">
                    <header class="comment_header">
                        <div class="col-md-9 col-xs-9 col-sm-9 fs-aside-title nopadding">
                            <h4></h4>
                        </div>
                        <div class="col-md-3 col-xs-3 col-sm-3 fs-time-ago nopadding">
                            <small></small>
                        </div>
                    </header>

                    <div class="fs-aside-description fancySccroll">
                    </div>
                </div>

                <div class="comments_container">
                    <h3>Comments</h3>
                    <div class="comment-box-container">
                        <div class="comments-box">
                        </div>
                    </div>

                    <div class="comments-form">
                        <div class="comments-textarea">
                            <textarea class="textarea-scrollbar scrollbar-outer form-control comment-box-text"></textarea>
                        </div>
                        <div class="comments-form-footer">
                            <div class="col-md-8 col-xs-8 col-sm-8 nopadding comment-text">
                                There Are <span>0</span> Comments
                            </div>
                            <div class="col-md-4 col-xs-4 col-sm-4 comment-btn-contaiber nopadding text-right">
                                <button type="button" data-postid="0" onclick="javascript: popupSubmitComments(this);" class="btn-comment-submit">COMMENT</button>
                            </div>
                        </div>
                    </div>

                </div>

            </aside>
        </div>
    </div>
</div>


<!-- Footer -->
    <?php echo $this->render('brand-footer.phtml', array('user' => $user, 'thisBrand' => $this->thisBrand, 'draftspostCnt' => $this->draftspostCnt, 'brandName' => $brandName, 'thisBrandLogoURL' => $thisBrandLogoURL)); ?>
<!--END-->
<input type="hidden" value="normal" name="hdnAlbumUploadType" id="hdnAlbumUploadType" />
<input type="hidden" value="<?php echo $this->postType; ?>" name="hdnPostType" id="hdnPostType" />

<script>

    function calculateDates() {
        var postType = document.getElementById('hdnPostType').value;
        var elements = document.querySelectorAll("[data-date]");
        for(var el in elements) {
            if(!elements.hasOwnProperty(el)) continue;
            el = elements[el];
            if(postType == 'drafts')
            {
                el.innerHTML = 'saved '+formatAgoTime(el.dataset.date);
            }
            else
            {
                el.innerHTML = formatAgoTime(el.dataset.date);
            }
        }
    }
    window.setInterval(calculateDates, 1000 * 29);
    window.onGloabalJS.push(calculateDates);

    function updateLoveUsButton() {
        if(g_thisBrand.lovedByUser) {
            $('#loveUsButton .text').text('Loved!');
        }else{
            $('#loveUsButton .text').text('Love Us');
        }
    }

    window.loveUsClicked = function(el) {
        var loveBool = !g_thisBrand.lovedByUser;
        window.ajaxSubmitCheck("<?= $this->url("root/interactionController", ["action" => "loveBrand", "param" => $this->thisBrand->id, "param2" => "BOOL"]) ?>".replace(/BOOL/, loveBool), {}, function (data) {
            g_thisBrand.lovedByUser = data.newValue;
            updateLoveUsButton();
        }, "Could not love the brand. %s");
    };
    onGloabalJS.push(updateLoveUsButton);

    function changeBrandAvatar() {
        <?php if($this->userCanEditBrand) { ?>
        labImage('Change brand avatar image', function(imageData) {
            if(imageData) {
                $('.loading-container').show();
                window.ajaxSubmitCheck('<?= $this->url('root/brandSettings', ['action'=>'uploadAvatar', 'param' => $this->thisBrand->url]) ?>', {
                    imageString: imageData.data.split('base64,', 2)[1]
                }, function() {
                    document.location.reload();
                }, "The brand avatar couldn't be changed. %s");
            }
        }, 400, 400);
        <?php }else{ ?>
        return false;
        <?php } ?>
    }    
    
     var UploadedImagesListSelPhotoAlbum = '.upload-image-list-photo-album';
         
         window.onGloabalJS.push(function() {
            window.uploadImageSetStoragePhotoAlbum = window.persistentVariablePhotoAlbum("uploadImageSetPhotoAlbum", new window.ImageSetPhotoAlbum([], UploadedImagesListSelPhotoAlbum));
            if(window.uploadImageSetStoragePhotoAlbum.get().type !== 'ImageSet') {
                window.uploadImageSetStoragePhotoAlbum.set(new window.ImageSetPhotoAlbum([], UploadedImagesListSelPhotoAlbum));
            }
            console.log("uploadImageSetPhotoAlbum = ", window.uploadImageSetStoragePhotoAlbum, window.uploadImageSetStoragePhotoAlbum.get());
        });
        
        function uploadImageToEditorPhotoAlbum(img) {
            console.log(img);
            console.log('Photo Album');
            var uploadType = $('#hdnAlbumUploadType').val();
            uploadType = (uploadType != "") ? uploadType : 'normal';
            
            var imageSetPhotoAlbum = uploadImageSetStoragePhotoAlbum.get();
            imageSetPhotoAlbum.addImages([img]);
            imageSetPhotoAlbum.addUploadType(uploadType);
            window.uploadImageSetStoragePhotoAlbum.set(imageSetPhotoAlbum);
        }
        
        function removePhotoAlbumImageClicked(el, type) {
            var $container = $(el).parent('.photo_container').children('.photo-image-container');
            var $img = $('img', $container);
            var confirm = labConfirm("Are you sure you want to delete this image?", "Confirm delete",
            function(response) {
                if(response) {
                    removeImage($img.attr('src'), type);
                }
            }, "Delete", "Cancel");
        }
        
        function uploadImagePhotoAlbum(type, upload_type) {
            var handelClass = '.upload-image-list-'+type;
            
            UploadedImagesListSel = handelClass;
            if(type == 'photo-album')
            {
                window.imageSubmittedCallback = uploadImageToEditorPhotoAlbum;
                upload_type = (upload_type == "") ? 'normal' : upload_type;
                $('#hdnAlbumUploadType').val(upload_type);
            }
            
            $("#editorImageSubmitter").click();
        }
    
    function removeImage(img, type) {
        switch(type)
        {
            case 'photo' : 
                    var ImageSetPhoto = window.uploadImageSetStoragePhoto.get();
                    ImageSetPhoto.removeImages([img]);
                    window.uploadImageSetStoragePhoto.set(ImageSetPhoto);
                break;
            case 'photo_album' : 
                    var imageSet = window.uploadImageSetStoragePhotoAlbum.get();
                    imageSet.removeImages([img]);
                    window.uploadImageSetStoragePhotoAlbum.set(imageSet);
                break;
            case 'product' : 
                    var imageSet = window.uploadImageSetStorageProduct.get();
                    imageSet.removeImages([img]);
                    window.uploadImageSetStorageProduct.set(imageSet);
                break;            
            default : 
                    var imageSet = window.uploadImageSetStorage.get();
                    imageSet.removeImages([img]);
                    window.uploadImageSetStorage.set(imageSet);
                break;
        }
    }
    
    function deleteAlbum($el, callback)
    {
        labConfirm("Do you really want to delete this album?\nThis cannot be undone!", "Are you sure?", function(response) {
                if(response) {
                    $el.blur();
                    window.loadingIndicator($('body'));
                    
                    ajaxSubmit($el.attr('href'), {}, function (data) {
                    if (!data.status || data.status != "ok") {
                        console.log("openAjaxLink error: ", data);
                        alert(data.status ? data.status : "An error has occurred, please try again.");
                    } else {
                        /*$('.loading-indicator-background').remove();*/
                        window.location.href = '<?php echo $this->url('root/perosonlPageAlbum', ['brandUrl' => $this->thisBrand->url]); ?>';
                    }
                });
                return false;
                }
            }, "Delete", "Cancel");
    }
    
    function uploadImage(type) {
        var handelClass = '.upload-image-list-'+type;
        console.log(handelClass);
        UploadedImagesListSel = handelClass;
        if(type == 'post')
        {
            window.imageSubmittedCallback = uploadImageToEditor;
        }
        else if(type == 'photo-album')
        {
            window.imageSubmittedCallback = uploadImageToEditorPhotoAlbum;
        }
        else if(type == 'product')
        {
            window.imageSubmittedCallback = uploadImageToEditorProduct;
        }
        else
        {
            window.imageSubmittedCallback = uploadImageToEditorPhoto;
        }
        $("#editorImageSubmitter").click();
    }

    function makeLovedPopup(obj, postId)
    {
        var loved = $(obj).data('loved');
            
        var url = "<?= $this->url("root/brandFeedPostLove", ['postId' => 'POSTID', 'loveOrNot' => 'LOVED']) ?>".replace(/POSTID/, postId).replace(/LOVED/, loved);

        ajaxSubmitCheck(url, {}, function (data) {

            if(data.status == 'ok')
            {
                var loveCnt = (data.loveCount > 0) ? '('+data.loveCount+')' : '';
                var dispCnt = (data.loveCount > 0) ? data.loveCount : '';
                var loveTitle = 'Love';
                var data_loved = 1;
                if(data.is_love)
                {
                    /*$(obj).children('span').text('Loved! '+loveCnt);
                    $(obj).data('loved', 0);
                    $(obj).children('i').removeClass('fa-heart-o').addClass('fa-heart');*/
                    loveTitle = 'Loved!';
                    data_loved = 0;
                }
                else
                {
                    /*$(obj).children('span').text('Love '+loveCnt);
                    $(obj).data('loved', 1);
                    $(obj).children('i').removeClass('fa-heart').addClass('fa-heart-o');*/
                }
                var loveHTML = '<a href="javascript:void(0);" class="text-info" data-loved="'+data_loved+'" onclick="javascript: makeLovedPopup(this, '+postId+');">'+
                            '<i class="fa fa-heart" aria-hidden="true"></i>'+
                            loveTitle+
                            '<span>'+dispCnt+'</span>'+
                       '</a>';
                $('.fs_slider_love_conainer').html(loveHTML);
            }
            else
            {
                 labAlert(data.status);
            }
        }, 'Sorry, an error has occured. \n%s');
    }

    function socialShare(type, url, title, descr, image, winWidth, winHeight, via) {
        var winTop = (screen.height / 2) - (winHeight / 2);
        var winLeft = (screen.width / 2) - (winWidth / 2);
        if(type == 'fb')
        {
            var shareURL = 'http://www.facebook.com/sharer.php?s=100&p[title]=' + title + '&p[summary]=' + descr + '&p[url]=' + url + '&p[images][0]=' + image;
        }
        else
        {
            var shareVia = (typeof via != "undefined") ? '&via=' + via : '';
            var shareURL = 'https://twitter.com/intent/tweet/?text=' + title + '&url=' + url + shareVia;
        }
        window.open(shareURL, 'sharer', 'top=' + winTop + ',left=' + winLeft + ',toolbar=0,status=0,width=' + winWidth + ',height=' + winHeight);
    }
    
    
    function showCommentPopupBox(index, postid, obj, type)
    {
        if(type == 'home')
        {
            var myObj = $(obj).parent('li').parent('.image_box_actions_control').parent('.image_box_actions').parent('#image_header_content_'+index).children('.image_box_comments');
        }
        else
        {
            var myObj = $(obj).parent('li').parent('.image_box_actions_control').parent('.image_box_actions').parent('.carouselGallery-modal-text').children('.image_box_comments');
        }
        myObj.slideToggle('slow', function(){
            if(!$(this).is(':hidden'))
            {
                loadCommentsPopup(index, postid, type);
            }
        });
        /*$('.carouselGallery-modal-text #image_comment_section_'+index).slideToggle('slow');*/
        //loadCommentsPopup(index, postid);
    }
    
    function loadCommentsPopup(postId) {
        
        var $commentSection = $('.fs-slider .aside_panel .comments_container .comments-box');
        
        $(".aside_panel .comments_container .comment-box-container").mCustomScrollbar("destroy");
        
        var loadingHTML = '<div class="no-comments-loading">Loading...</div>';
        $commentSection.html(loadingHTML);
        var html = '';

        window.ajaxSubmitCheck("<?= $this->url("root/brandPostComments", ["postId" => 'POSTID']) ?>".replace(/POSTID/, postId), {}, function (data) {

            loadedComments = data.comments;

            loadedComments.sort(function (a, b) {
                return b.datePosted - a.datePosted;
            });

            for(var k in loadedComments) {
                if(!loadedComments.hasOwnProperty(k)) {continue;}
                var c = loadedComments[k];

                var author = htmlspecialchars(c.name);
                var authorAvatar = c.userAvatar;
                var buttons = '';

                <?php if($this->userCanEditBrand) { ?>
                if(c.public) {
                    buttons = '<a class="pull-right" href="#" onclick="commentButtonPopup(\'delete\', '+c.id+', '+postId+'); return false;"><i class="icon-close"></i></a>   ';
                }else{
                    buttons = '<a class="pull-right" href="#" onclick="commentButtonPopup(\'delete\', '+c.id+', '+postId+'); return false;"><i class="icon-close"></i> Reject</a>   '+
                            '<a class="pull-right" href="#" onclick="commentButtonPopup(\'approve\', '+c.id+', '+postId+'); return false;"><i class="icon-checkmark"></i> Approve</a>';

                }

                <?php } ?>

                /*html +=
                    '<div id="post-comment-'+c.id+'" class="post-comment '+(c.public?'':'not-approved')+'"> ' +
                    '    <div class="post-comment-meta">   ' +
                    '    By ' + author + ' - <span data-date="'+ c.datePosted +'"></span> ' +
                    buttons +
                    '    </div> ' +
                    '    <div class="post-comment-content">' +htmlspecialchars(c.text)+ '</div> ' +
                    '</div>';*/
                
                html += '<div id="post-comment-'+c.id+'" class="comments '+(c.public?'':'not-approved')+'">'+
                        '   <a class="comments-thumb thumb_small" style="background-image: url(\''+authorAvatar+'\');"></a>'+
                        '   <div class="comments-content">'+
                        '       <div class="col-md-12 nopadding">'+
                        '           <div class="col-md-8 col-xs-8 col-sm-8 nopadding">'+
                        '               <h5 class="comments-name">'+author+'</h5>'+
                        '           </div>'+
                        '           <div class="col-md-4 col-xs-4 col-sm-4 nopadding fs-time-ago">'+
                        '               <small data-date="'+ c.datePosted +'"></small>'+
                        '           </div>'+
                        '       </div>'+
                        '       <div class="comment-meta">'+
                        '           <span>Love a Brand</span>'+
                        '           <span>&bull;</span>'+
                        '           <span>In</span>'+
                        '           <span>&bull;</span>'+
                        '           <a href="javascript:void(0);">Our Stories</a>'+
                        '       </div>'+
                        '       <div class="col-md-12 nopadding comments-text">'+
                                    htmlspecialchars(c.text)+
                        '       </div>'+
                        '   </div>'+
                        '</div>';
                
            }
            
/*            $(".aside_panel .description_container .fancySccroll").mCustomScrollbar("destroy");*/
            
            $commentSection.html(html);
            calculateDates();
            if($commentSection.children('.comments').length == 0)
            {
                //$commentSection.hide();
                $('.aside_panel .comments_container .comments-form .comments-form-footer .comment-text span').html(0);
            }
            else
            {
                $('.aside_panel .comments_container .comments-form .comments-form-footer .comment-text span').html(loadedComments.length);
                $commentSection.show();
            }

            
            setTimeout(function(){
                $(".comment-box-container").mCustomScrollbar({
                    autoHideScrollbar:true,
                    theme:"dark",
                    advanced:{
                        updateOnContentResize: true,
                        updateOnImageLoad: true
                      }
                });
                
                $(".aside_panel .description_container .fancySccroll").mCustomScrollbar({
                    autoHideScrollbar:true,
                    theme:"dark",
                    advanced:{
                        updateOnContentResize: true,
                        updateOnImageLoad: true
                      }
                });
                
            },10);
            
        }, function(serverside, message) {
            console.log("Comment loading error", serverside, message);
            $commentSection.html('<i>Comments couldn\'t be loaded. '+message+'</i>');
        });
        
    }
    
    function commentButtonPopup(action, commentId, postId, index) {
        console.log(postId);
                        console.log(index);
        var el = document.getElementById("post-comment-" + commentId);
        if(!el) {
            console.warn("commentButton called on nonexistent comment id!", commentId);
            return false;
        }
        var actionFn = commentActionsPopup[action];
        if(!actionFn) {
            console.warn("commentButton called with unknown action!", action);
            return false;
        }
        var $el = $(el);
        return actionFn($el, commentId, postId, index);
    }
    
    function popupSubmitComments(obj)
    {
        var postID = $(obj).attr('data-postid');
        
        var url = "<?= $this->url("root/brandPostPostComment", ['postId' => 'POSTID']) ?>".replace(/POSTID/, postID);
        
            //var postAs = $('#commentPostAs').val();
            //if (!postAs) postAs = 'user';
            var postAs = 'user';
            
            var $commentSection = $('.aside_panel .comments_container .comments-form .comments-textarea');

            var $commentInput = $commentSection.find('textarea.comment-box-text');
            var postContent = $commentInput.val().trim();
/*console.log($commentInput);*/
            if(postContent.length < 1) {
                $commentInput.focus();
                return;
            }

            $commentInput.val('');

            ajaxSubmitCheck(url, {
                text: postContent,
                postAs: postAs

            }, function (data) {
                $commentInput.val('');
/*                $commentInput.val('Thank you!\n\nYour comment has been submitted and will be reviewed by an administrator.');*/
                $commentInput.css({backgroundColor: '#e9f7e8', color: '#555'});
                $commentInput.keyup(); // for autosize

                $commentInput.one( "click", function() {
                    var $this = $(this);
                    $this.val('');
                    $this.css({backgroundColor: 'white', color: '#111'});
                });
                loadCommentsPopup(postID);
            }, 'Sorry, an error has occured while posting your comment. \n%s');
    }
    
    
    function editAlbum($el)
    {
        var albId = $el.data('id');
        if(albId > 0)
        {
            window.loadingIndicator($('body')); 
            $('#editAlbumForm').remove();
            ajaxSubmit('/$personalPageAlbumGet/' + albId, {'albumId' : albId}, function(data) {
                   $('body').append(data);
                   
                    if($('#tempImageData .photo_container .photo-image-container').length > 0)
                    {
                        $('#tempImageData .photo_container .photo-image-container').each(function(){
                            var src = $(this).children('img').attr('src');
                            uploadImageToEditorPhotoAlbum(src);
                        });
                    }
                    $('#tempImageData').hide();
                    
                    $('#editAlbumForm').modal('show');
                    setTimeout(function(){ $('#tempImageData').remove(); }, 1000);
                    $('.loading-indicator-background').remove();
/*                    labAlert(msg);*/
            });
        }
        else
        {
            labAlert("Product not found..");
        }
    }   
    
    
    function getSliderPostData(postId, currentIndex)
    {
        var postTitle  = $('#photoTitle_'+currentIndex).val();
        $('.fs-slider .fs-aside-title h4').html(postTitle);
        
        $('.fs-slider .fs-aside-description').html($('#photoCaption_'+currentIndex).val());
        $('.fs-slider .comment_header .fs-time-ago small').html(formatAgoTime($('#photoDateStamp_'+currentIndex).val()));
        var commentsCnt = ($('#photoCommenstCnt_'+currentIndex).val() > 0) ? $('#photoCommenstCnt_'+currentIndex).val() : '';
        $('.fs-slider .fs_modal_header .fs_slider_comments_count span').html(commentsCnt);
        $('.fs-slider .fs_modal_header .fs_slider_comments_count .fs-comment-btn').attr('data-postid', postId);
        $('.fs-slider .comment-btn-contaiber .btn-comment-submit').attr('data-postid', postId);
        
        var love = $('#photoLove_'+currentIndex).val();
        var loveCnt = $('#photoLoveCnt_'+currentIndex).val();
        
        var dispCnt = (loveCnt > 0) ? loveCnt : '';
        
        var loveTitle = 'Love';
        var loved = 1;
        if(love == 1)
        {
            loveTitle = 'Loved!';
            loved = 0;
        }
        
        var loveHTML = '<a href="javascript:void(0);" class="text-info" data-loved="'+loved+'" onclick="javascript: makeLovedPopup(this, '+postId+');">'+
                            '<i class="fa fa-heart" aria-hidden="true"></i>'+
                            loveTitle+
                            '<span>'+dispCnt+'</span>'+
                       '</a>';
        $('.fs-slider .fs_modal_header .fs_slider_love_conainer').html(loveHTML);
        loadCommentsPopup(postId);
    }
    
    function socialShareModule(type)
    {
        var activeSlide = $('.fs-slider #fs-photo-slider div.active');
        var share = activeSlide.find('img').attr('src');       
        
        if(type == 'email') 
        {
            window.location.href = "mailto:?subject=Share with your friends&body="+share;
        }
        else
        {
            socialShare(type, share, '', '', '', 520, 350);
        }
    }
    
    console.log("REG ONLOAD");
    window.onload = function() {
        console.log("FIRE ONLOAD");
       
       $(document).on('mouseover', '.small-image-section .img-container', function(e) {
            e.preventDefault();
            var $this = $(this);
            var $panel = $('.img-panel', $this);
            if($panel.closest('.small-image-section').hasClass('editable')) {
                var type = $panel.closest('.small-image-section').data('type');
                $panel.toggleClass('active');
                if($panel.hasClass('active')) {
                    $('.img-panel', $this.parent().parent()).removeClass('active');
                    $panel.addClass('active');
                }
                if ($panel.hasClass('new')) {
                    $panel.removeClass('new');
                    $panel.html('<div class="buttons"><button type="button" onclick="removeImageClicked(this, \''+type+'\');" class="icon-close"></button></div>');
                }
            }
        });
        
       $(document).on('click', '.small-image-section .img-container', function(e) {
            e.preventDefault();
            var $this = $(this);
            var $panel = $('.img-panel', $this);
            if($panel.closest('.small-image-section').hasClass('editable')) {
                var type = $panel.closest('.small-image-section').data('type');
                $panel.toggleClass('active');
                if($panel.hasClass('active')) {
                    $('.img-panel', $this.parent().parent()).removeClass('active');
                    $panel.addClass('active');
                }
                if ($panel.hasClass('new')) {
                    $panel.removeClass('new');
                    $panel.html('<div class="buttons"><button type="button" onclick="removeImageClicked(this, \''+type+'\');" class="icon-close"></button></div>');
                }
            }
        });
       
       if($('#has_photos .upload-image-list-photo div.img-row').length > 0)
        {
            $('#has_photos').show();
            $('#addPhotoUpload .modal-footer').show();
            $('.first_photo_section').hide();
        }
       
        var $textareas = $('textarea.autoresize');

        // Comments
        window.autosizeTextarea($('.comment-form textarea.comment-content'), 60, 300);
        window.autosizeTextarea($textareas, 80, 1000); // todo: fix
        
        
        $('#image-modal-full').on('show.bs.modal', function (e) {
               var currentSlidePostId = $('.fs-slider #fs-photo-slider div.active').data('postid');
               var currentIndex = $('.fs-slider #fs-photo-slider div.active').data('index');
               getSliderPostData(currentSlidePostId, currentIndex);
        });
        
        $('.fs-slider #fs-photo-slider').on('slid.bs.carousel', function () {
            var currentSlidePostId = $('.fs-slider #fs-photo-slider div.active').data('postid');
            var currentIndex = $('.fs-slider #fs-photo-slider div.active').data('index');
            
            getSliderPostData(currentSlidePostId, currentIndex);
        });
    }
   
</script>